mediastreamer2 2.11.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
_IceSession Struct Reference

`#include <ice.h>`

Collaboration diagram for _IceSession:
[legend]

## Data Fields
struct _IceCheckList * | streams [8]
char * | local_ufrag
char * | local_pwd
char * | remote_ufrag
char * | remote_pwd
IceRole | role
IceSessionState | state
uint64_t | tie_breaker
uint32_t | ta
uint8_t | max_connectivity_checks
uint8_t | keepalive_timeout
MSTimeSpec | event_time
bool_t | send_event
struct sockaddr_storage | ss
socklen_t | ss_len

## Detailed Description

Structure representing an ICE session.

## Field Documentation

struct _IceCheckList* _IceSession::streams[8]

Table of IceChecklist structure pointers. Each element represents a media stream

char* _IceSession::local_ufrag

Local username fragment for the session (assigned during the session creation)

char* _IceSession::local_pwd

Local password for the session (assigned during the session creation)

char* _IceSession::remote_ufrag

Remote username fragment for the session (provided via SDP by the peer)

char* _IceSession::remote_pwd

Remote password for the session (provided via SDP by the peer)

IceRole _IceSession::role

Role played by the agent for this session

IceSessionState _IceSession::state

State of the session

uint64_t _IceSession::tie_breaker

Random number used to resolve role conflicts (see paragraph 5.2 of the RFC 5245)

uint32_t _IceSession::ta

Duration of timer for sending connectivity checks in ms

uint8_t _IceSession::max_connectivity_checks

Configuration parameter to limit the number of connectivity checks performed by the agent (default is 100)

uint8_t _IceSession::keepalive_timeout

Configuration parameter to define the timeout between each keepalive packets (default is 15s)

MSTimeSpec _IceSession::event_time

Time when an event must be sent

bool_t _IceSession::send_event

Value of the event to send Boolean value telling whether an event must be sent or not

struct sockaddr_storage _IceSession::ss

STUN server address to use for the candidates gathering process

socklen_t _IceSession::ss_len

Length of the STUN server address to use for the candidates gathering process

The documentation for this struct was generated from the following file:

- ice.h